mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.HashAlgorithm System.Runtime.InteropServices.ComVisible(true)

Hash functions map binary strings of an arbitrary length to small binary strings of a fixed length. A cryptographic hash function has the property that it is computationally infeasible to find two distinct inputs that hash to the same value; that is, hashes of two sets of data should match if the corresponding data also matches. Small changes to the data result in large, unpredictable changes in the hash.

The hash size for the algorithm is 128 bits.

The methods of the class return the hash as an array of 16 bytes. Note that some MD5 implementations produce a 32-character, hexadecimal-formatted hash. To interoperate with such implementations, format the return value of the methods as a hexadecimal value.

Newer hash functions, such as the Secure Hash Algorithms SHA-256 and SHA-512, are available. Consider using the class or the class instead of the class. Use only for compatibility with legacy applications and data.

Represents the abstract class from which all implementations of the hash algorithm inherit.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  To create an instance of the class, use the method.

  Initializes a new instance of .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.MD5 To be added

  Creates an instance of the default implementation of the hash algorithm.

  A new instance of the hash algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.MD5 ``

  Possible values for are: System.Security.Cryptography.MD5, MD5, System.Security.Cryptography.MD5CryptoServiceProvider, and System.Security.Cryptography.MD5Managed.

  Creates an instance of the specified implementation of the hash algorithm.

  A new instance of the specified implementation of .

  The name of the specific implementation of to use.